> ## Documentation Index
> Fetch the complete documentation index at: https://docs.elemente.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get call



## OpenAPI

````yaml get /api/v1/calls/{id}
openapi: 3.0.0
info:
  title: Elemente.ai APIS Documentation
  description: >-
    Elemente.AI is an innovative company specializing in artificial intelligence
    (AI) solutions for call centers. Its leading products include Voice to Voice
    AI agents, AI-powered call analysis, and AI-based chat systems, designed to
    enhance operational efficiency and the customer experience.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.elemente.ai
security: []
tags:
  - name: Calls
    description: Call related APIs
  - name: Agents
    description: Agents related APIs
  - name: Actions
    description: Actions allows your agent connect to external tools and systems.
  - name: Knowledgebase
    description: >-
      Train your agents on external knowledgebase sources like your companies
      data, privacy policy, term of service or even your product catalogue
  - name: Skills
    description: Add capabilities to your AI agents
paths:
  /api/v1/calls/{id}:
    get:
      tags:
        - Calls
      summary: Get call
      operationId: InteractionController_getConversationTranscript
      parameters:
        - name: id
          required: true
          in: path
          description: The id of the call
          schema:
            example: 123e4567-e89b-12d3-a456-426614174000
            type: string
      responses:
        '200':
          description: Returns the call
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SanitisedFeedback'
        '404':
          description: Call not found
        '500':
          description: Internal Server Error
      security:
        - basic: []
components:
  schemas:
    SanitisedFeedback:
      type: object
      properties:
        id:
          type: string
          description: Interaction ID
          example: 123e4567-e89b-12d3-a456-426614174000
        status:
          type: string
          description: Interaction status
          example: in-progress
        agentPhone:
          type: string
          description: Agent phone number
          example: '+1234567890'
        agentEmail:
          type: string
          description: Agent Email
          example: '+1234567890'
        customerPhone:
          type: string
          description: Customer phone number
          example: '+1234567890'
        customerEmail:
          type: string
          description: Customer email
          example: '+1234567890'
        agentId:
          type: string
          description: Agent ID
          example: 123e4567-e89b-12d3-a456-426614174000
        customerId:
          type: string
          description: Customer ID
          example: 123e4567-e89b-12d3-a456-426614174000
        skillId:
          type: string
          description: Skill ID
          example: 123e4567-e89b-12d3-a456-426614174000
        customerName:
          type: string
          description: Customer name
          example: John Doe
        transcription:
          type: string
          description: Transcription
          example: Hello, how can I help you?
        recordingUrl:
          type: string
          description: Recording URL
          example: https://example.com/recording.wav
        messages:
          description: conversation messages
          example:
            - sid: SM1234567890abcdef
              timestamp: '2025-03-17T14:30:00Z'
              sender: agent
              content: Hello, how can I assist you today?
              mediaUrl: https://example.com/image.jpg
              status: delivered
          type: array
          items:
            type: string
        duration:
          type: number
          description: Session duration in seconds
          example: '7200'
      required:
        - id
        - status
        - agentPhone
        - agentEmail
        - customerPhone
        - customerEmail
        - agentId
        - customerId
        - skillId
        - customerName
        - transcription
        - recordingUrl
        - messages
        - duration
  securitySchemes:
    basic:
      type: http
      scheme: basic

````